#if defined _lm3s3748_included
  #endinput
#endif
#define _lm3s3748_included
#pragma library LM3S3748

public const stock PB7  = ( 0x17 << 24);
public const stock PG2  = ( 0x62 << 24);

#define GPIO_PIN_TYPE_STD     0x00000008
#define GPIO_PIN_TYPE_STD_WPU 0x0000000A
#define GPIO_PIN_TYPE_STD_WPD 0x0000000C

#define GPIO_STRENGTH_2MA    0x00000001
#define GPIO_STRENGTH_4MA    0x00000002
#define GPIO_STRENGTH_8MA    0x00000004
#define GPIO_STRENGTH_8MA_SC 0x0000000C

native wait_ms( pause_ms );
native PinTypeGPIOOutput( pf_code , ulStrength = GPIO_STRENGTH_2MA );
native PinTypeGPIOInput( pf_code , ulPinType = GPIO_PIN_TYPE_STD_WPU );
native GPIOWrite( pf_code , ucVal );
native GPIORead( pf_code );
