#include "amx.h"

typedef struct tagFMTINFO {
  const cell *params;
  int numparams;
  int skip;     /* XLbv镶 */
  int length;   /* \镶̒ */
  /* \p֐|C^ */
  int (*f_putstr)(void *dest,const char *);
  int (*f_putchar)(void *dest,char);
  void *user;   /* [Uf[^ */
} AMX_FMTINFO;

int amx_printstring(AMX *amx,cell *cstr,AMX_FMTINFO *info);

static cell AMX_NATIVE_CALL n_printf(AMX *amx,const cell *params)
{
	cell *cstr;
	AMX_FMTINFO info;
	
	memset(&info,0,sizeof info);
	info.params=params+2;
	info.numparams=(int)(params[0]/sizeof(cell))-1;
	info.skip=0;
	info.length=INT_MAX;
	
#if defined PAWN4
	cstr = amx_Address(amx , params[1] );	/* o[W4̏ꍇ̃AhXϊ */
#else
	amx_GetAddr(amx,params[1],&cstr);		/* ȑȌꍇ̃AhXϊ */
#endif
	
	amx_printstring(amx,cstr,&info);
	
	return 0;
}

#if defined FLOATPOINT
int AMXEXPORT amx_FloatInit(AMX *amx);
#endif

#if defined FIXEDPOINT
int AMXEXPORT amx_FixedInit(AMX *amx);
#endif
